%define name	libsynaptics
%define version	0.14.4d
%define release	%mkrel 1

%define	major	0

%define	libname	%mklibname synaptics %major
%define	dlibname	%mklibname synaptics %major -d
%define	pdlibname	%mklibname synaptics -d

Summary:	KDE configuration for synaptics module
Name:		%{name}
Version:	0.14.4d
Release:	%mkrel 1
License:	GPL
Group:		System/Configuration/Hardware
URL:		http://sourceforge.net/projects/qsynaptics
BuildRoot:	%_tmppath/%{name}-%{version}-root-%(id -u -n)
Source0:	http://qsynaptics.sourceforge.net/%{name}-%{version}.tar.bz2

%description
libsynaptics is an effort to eliminate version related problems in ksynaptics
by providing upwards compatibility above new Xorg touch pad driver releases. 

%package -n	%libname
Summary:	Library for supporting ksynaptics
Group:		System/Configuration/Hardware

%description -n %libname
libsynaptics is an effort to eliminate version related problems in ksynaptics
by providing upwards compatibility above new Xorg touch pad driver releases. 

%package -n	%dlibname
Summary:	Development Library for supporting ksynaptics
Group:		Development/KDE and Qt
Provides:	synaptics-devel %{version}-%{release}
Provides:	libsynaptics-devel %{version}-%{release}
Provides:	%pdlibname = %{version}-%{release}
Requires:	%libname = %{version}-%{release}

%description -n	%dlibname
libsynaptics is an effort to eliminate version related problems in ksynaptics
by providing upwards compatibility above new Xorg touch pad driver releases. 

%prep 
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(644,root,root,755)
%doc README INSTALL COPYING TODO
%{_libdir}/libsynaptics.so.0
%{_libdir}/libsynaptics.so.0.0.0

%files -n %dlibname
%{_includedir}/synaptics
%{_libdir}/libsynaptics.a
%{_libdir}/libsynaptics.la
%{_libdir}/libsynaptics.so



%changelog
* Thu Jul 06 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-06 17:42:36 (38444)
- import libsynaptics-0.14.4d-1mdv2007.0

* Thu Jul 06 2006 Luca Berra <bluca@comedia.it> 0.14.4d-1mdv2007.0
- initial contribution

